<?php
/**
 * The Horde_Text_Rst_Formatter:: class is the framework for rendering
 * reStructuredText documents to different media (e.g. HTML).
 *
 * $Horde: framework/Text_Rst/lib/Horde/Text/Rst/Formatter.php,v 1.2.2.2 2008/01/02 11:30:57 jan Exp $
 *
 * Copyright 2003-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://opensource.org/licenses/lgpl-license.php.
 *
 * @author  Jason M. Felice <jason.m.felice@gmail.com>
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @category Horde
 * @package Horde_Text_Rst
 */
abstract class Horde_Text_Rst_Formatter
{
    /**
     * Array of driver-specific parameters for formatting.
     *
     * @var array
     */
    protected $_args;

    /**
     * The current output charset.
     *
     * @var string
     */
    protected $_charset = null;

    /**
     * Construct a new formatter.
     *
     * @param array $args  Arguments specific to this formatter.
     */
    public function __construct($args = array())
    {
        $this->_args = $args;
    }

    /**
     * Render the document.
     *
     * @abstract
     *
     * @param Horde_Text_Rst_Node $document  The document we will render.
     * @param string $charset      The output charset.
     */
    public abstract function format($document, $charset = null);

}
