<?php
/**
 * The Horde_Text_Rst_Parser_State class represents a node on the parser's state stack.
 *
 * $Horde: framework/Text_Rst/lib/Horde/Text/Rst/Parser/State.php,v 1.2.2.2 2008/01/02 11:30:57 jan Exp $
 *
 * Copyright 2003-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://opensource.org/licenses/lgpl-license.php.
 *
 * @author  Jason M. Felice <jason.m.felice@gmail.com>
 * @author  Chuck Hagenbuch <chuck@horde.org>
 * @category Horde
 * @package Horde_Text_Rst
 */
class Horde_Text_Rst_Parser_State
{
    /**
     */
    public $node;

    /**
     */
    public $stateType;

    /**
     */
    public $level;

    /**
     * Constructor.
     *
     * @param object $node       This is the parse node associated with this
     *                           state.  Block-level elements parsed in this
     *                           state will be children of this node.
     * @param string $stateType  Currently only 'Section'.
     * @param mixed $level       This is the nesting level of this state type.
     */
    public function __construct($node, $stateType, $level)
    {
        $this->node = $node;
        $this->stateType = $stateType;
        $this->level = $level;
    }

}
